Tool
deployment_domain_redirect_www
Toggle the www→apex 301 redirect for an apex custom domain
Toggle the www→apex 301 redirect for an apex custom domain
Behavior
- HTTP
PATCH /deployment/domains/:id/redirect-www
Arguments
Name | Type | Required | Description |
|---|---|---|---|
id | string | • | No description in the catalog. |
enabled | boolean | • | No description in the catalog. |
Response
Field | Type | Always | Description |
|---|---|---|---|
id | string | • | |
kind | string | • | |
aliases | array | • | |
hostname | string | • | |
createdAt | string | • | |
tlsStatus | string | • | |
updatedAt | string | • | |
lastProbeAt | string | • | |
redirectWww | boolean | • | |
wwwTlsStatus | string | • | |
environmentId | string | • | |
routingStatus | string | • | |
lastProbeError | string | • | |
redirectStatus | number | • | |
dnsInstructions | object | • | |
routingRecordType | string | • | |
verificationToken | string | • | |
advertisedHostname | string | • | |
redirectToDomainId | string | • | |
verificationStatus | string | • | |
lastVerificationError | object | • | |
lastVerificationCheckAt | string | • | |
tlsCertificateExpiresAt | string | • |
Try it
Toggle the www→apex 301 redirect for an apex custom domain.